# https://github.com/mitchellh/gox
%global goipath         github.com/mitchellh/gox
Version:                0.4.0

%gometa

Summary:	Simple Go Cross Compilation
Name:		gox
Release:	%mkrel 8
License:	MPLv2.0
Group:		Development/Other
URL:            %{gourl}
Source0:        %{gosource}
Patch0:		d4965637282ce0b805b4b92c0673b0e65e88d094.patch
Patch1:		arm64.patch

BuildRequires:	golang >= 1.1
BuildRequires:	golang(github.com/mitchellh/iochan)

%description
Gox is a simple, no-frills tool for Go cross compilation that behaves a lot
like standard go build. Gox will parallelize builds for multiple platforms. Gox
will also build the cross-compilation toolchain for you.

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgeautosetup

%build
%gobuildroot
%gobuild -o _bin/gox %{goipath}

%install
%goinstall
mkdir -p %{buildroot}%{_bindir}
%{__install} -m 0755 _bin/gox %{buildroot}%{_bindir}/gox

%check
%gochecks

%files
%{_bindir}/gox

%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Jul 04 2025 umeabot <umeabot> 0.4.0-8.mga10
+ Revision: 2245914
- Mageia 10 Mass Rebuild

* Fri Jul 04 2025 daviddavid <daviddavid> 0.4.0-7.mga10
+ Revision: 2245040
- Mageia 10 Mass Rebuild

* Sat Mar 26 2022 umeabot <umeabot> 0.4.0-6.mga9
+ Revision: 1827453
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.4.0-5.mga8
+ Revision: 1520471
- Mageia 8 Mass Rebuild

* Fri Nov 23 2018 pterjan <pterjan> 0.4.0-4.mga7
+ Revision: 1333436
- List linux/arm64 as a valid platform
- Add upstream patch fixing tests and enable them

* Thu Nov 22 2018 pterjan <pterjan> 0.4.0-3.mga7
+ Revision: 1333329
- Use macros and provide devel package

* Sat Nov 03 2018 pterjan <pterjan> 0.4.0-2.mga7
+ Revision: 1327795
- Generate a random buildid as I failed to ignore its absence...
- Build from the tarball instead of internet
- Fix (currently unused) source to be the sources for this package instead of another one
- Diable BuildID extraction
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update to version 0.4.0

* Sun Jul 17 2016 pterjan <pterjan> 0.2.0-6.mga6
+ Revision: 1042334
- Use standard gopath and build debuginfo package
- Recreate build directory to allow building twice
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 744617
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 679900
- Mageia 5 Mass Rebuild

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.2.0-2.mga4
+ Revision: 559469
+ rebuild (emptylog)

* Thu Nov 21 2013 thatsamguy <thatsamguy> 0.2.0-1.mga4
+ Revision: 552152
- imported package gox

